public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ionen Wolkens" <ionen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/ytfzf/
Date: Fri, 21 Jan 2022 14:26:56 +0000 (UTC)	[thread overview]
Message-ID: <1642775018.0d0c0152a108ab4123bba310eea13e8e6559349c.ionen@gentoo> (raw)

commit:     0d0c0152a108ab4123bba310eea13e8e6559349c
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 21 14:00:59 2022 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Jan 21 14:23:38 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d0c0152

net-misc/ytfzf: add 2.1

Use Makefile given upstream added necessary variables, removed gzip,
and made it usable.

Drop chafa optfeature, support isn't gone but it's just one of many
non-default options that all have drawbacks for wayland. Trying
to display them all would just be noise, and users should preferably
look at ytfzf's documentation for ueberzug alternatives.

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 net-misc/ytfzf/Manifest         |  1 +
 net-misc/ytfzf/ytfzf-2.1.ebuild | 54 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/net-misc/ytfzf/Manifest b/net-misc/ytfzf/Manifest
index 23b6d80b921d..1ce75414567e 100644
--- a/net-misc/ytfzf/Manifest
+++ b/net-misc/ytfzf/Manifest
@@ -1 +1,2 @@
 DIST ytfzf-2.0.tar.gz 3227372 BLAKE2B fa67fdc44174e1a0bbbf581f51fc0010230a6de37a38f54bd6c3b5dc1a8ae19790486db90ab0ab1f15fa1a70b544dd7888ec88c6f53ec5c2543235f64dc1ab94 SHA512 43c43b6a446335a7eef9d206864069df1e075d49151b359ead47de6e7234efc1042ce0557233e53c303d3c38572fd33a955e229c457561211250ddd0df5ccb0e
+DIST ytfzf-2.1.tar.gz 3230643 BLAKE2B b296048c976c260b3192f770bdf2dec99f5ad45066deeac23429808254552ea125ea8a8d129c47a5110916c4194f7b7742dd01f095809f4913077600a8205d4b SHA512 a86203bc1dffd05ff3543c44d5612bc8b0ffc675ce0484499cb89aa88c2618c88e832dd95ff2cd6f1803698c1c3264709a1e280ddbb9fb0985c0178f3adc16ea

diff --git a/net-misc/ytfzf/ytfzf-2.1.ebuild b/net-misc/ytfzf/ytfzf-2.1.ebuild
new file mode 100644
index 000000000000..c11320bd52ab
--- /dev/null
+++ b/net-misc/ytfzf/ytfzf-2.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature
+
+DESCRIPTION="Posix script to find and watch youtube videos from the terminal"
+HOMEPAGE="https://github.com/pystardust/ytfzf/"
+SRC_URI="https://github.com/pystardust/ytfzf/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="minimal"
+
+# fzf/mpv/yt-dlp "can" be optfeatures depending on configuration, but depend
+# on them so it works as expected out-of-the-box while allowing to disable.
+RDEPEND="
+	app-misc/jq
+	net-misc/curl[ssl]
+	virtual/awk
+	!minimal? (
+		app-shells/fzf
+		media-video/mpv[lua]
+		net-misc/yt-dlp
+	)"
+
+src_compile() { :; }
+
+src_install() {
+	local emakeargs=(
+		DESTDIR="${D}"
+		PREFIX="${EPREFIX}"/usr
+		DOCDIR="${EPREFIX}"/usr/share/doc/${PF}
+	)
+
+	emake "${emakeargs[@]}" doc install
+	einstalldocs
+
+	rm -r "${ED}"/usr/share/licenses || die
+}
+
+pkg_postinst() {
+	optfeature "external menu support" x11-misc/dmenu
+	optfeature "in-terminal thumbnails on X11" media-gfx/ueberzug
+	optfeature "desktop notifications" x11-libs/libnotify
+
+	if [[ ${REPLACING_VERSIONS} ]] && ver_test ${REPLACING_VERSIONS} -lt 2.0; then
+		elog "Note that >=${PN}-2.0 is a major rewrite and is not compatible with"
+		elog "configuration and some command arguments of older versions, see the"
+		elog "newly added ${PN}(1) and ${PN}(5) man pages for more information."
+	fi
+}


             reply	other threads:[~2022-01-21 14:27 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-21 14:26 Ionen Wolkens [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-22  6:16 [gentoo-commits] repo/gentoo:master commit in: net-misc/ytfzf/ Ionen Wolkens
2024-02-21  2:29 Sam James
2024-01-31 16:42 Ionen Wolkens
2023-10-10 20:20 Ionen Wolkens
2023-09-29 10:42 Ionen Wolkens
2023-09-12 18:25 Ionen Wolkens
2023-07-14 21:32 Ionen Wolkens
2023-06-08 12:45 Arthur Zamarin
2023-05-12  9:02 Ionen Wolkens
2023-03-28  7:41 Ionen Wolkens
2023-03-25  3:19 Ionen Wolkens
2023-03-01 16:02 Ionen Wolkens
2023-01-16  5:31 Ionen Wolkens
2022-12-21  5:57 Ionen Wolkens
2022-12-20 15:00 Ionen Wolkens
2022-12-08 20:12 Ionen Wolkens
2022-11-01 20:39 Ionen Wolkens
2022-09-17  8:42 Ionen Wolkens
2022-08-11  7:37 Ionen Wolkens
2022-08-06 14:19 Ionen Wolkens
2022-07-15 15:11 Ionen Wolkens
2022-07-03  5:33 Ionen Wolkens
2022-06-29  4:18 Ionen Wolkens
2022-04-29 11:23 Ionen Wolkens
2022-04-15 20:44 Ionen Wolkens
2022-03-02 10:07 Ionen Wolkens
2022-02-23  3:02 Ionen Wolkens
2022-01-26  1:09 Ionen Wolkens
2022-01-13  8:06 Ionen Wolkens
2021-12-30  0:17 Ionen Wolkens
2021-12-21 17:15 Ionen Wolkens

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1642775018.0d0c0152a108ab4123bba310eea13e8e6559349c.ionen@gentoo \
    --to=ionen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox